Bug 241252 - Add .debug_pubtypes and .debug_ranges to builtin ld linker script
Add .debug_pubtypes and .debug_ranges to builtin ld linker script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: binutils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 797750
  Show dependency treegraph
 
Reported: 2007-05-24 12:34 EDT by Bryn M. Reeves
Modified: 2012-02-27 03:40 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0397
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 797750 (view as bug list)
Environment:
Last Closed: 2007-11-07 11:57:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch adding .debug_pubtypes and .debug_ranges to elf.sc (573 bytes, patch)
2007-05-24 12:34 EDT, Bryn M. Reeves
no flags Details | Diff

  None (edit)
Description Bryn M. Reeves 2007-05-24 12:34:48 EDT
Description of problem:
.debug_pubtypes is a section defined in the DWARF debugging information standard
version 3 and resides in elf an section; however, this is missing from the
internal linker script.

As a result, it is affected by "ld --unique".

Version-Release number of selected component (if applicable):
binutils-2.17.50.0.6-2.el5

How reproducible:
100%

Steps to Reproduce:
1. Create input objects having several .debug_pubtypes or .debug_ranges sections
2. Link the objects using ld --unique
3. Check the resulting object with readelf
  
Actual results:
.debug_pubtypes or .debug_ranges sections are treated as orphans and are not
merged in the output (a separate output section is emitted for each
.debug_pubtypes or .debug_ranges section in the input).

Expected results:
When using --unique, these sections are not treated as orphans and are merged
into the a single section in the output.

Additional info:
Upstream ml post:
http://sourceware.org/ml/binutils/2007-05/msg00029.html

Upstream commit:
http://sourceware.org/cgi-bin/cvsweb.cgi/src/ld/scripttempl/elf.sc.diff?r1=1.79&r2=1.80&cvsroot=src
Comment 1 Bryn M. Reeves 2007-05-24 12:34:49 EDT
Created attachment 155363 [details]
patch adding .debug_pubtypes and .debug_ranges to elf.sc
Comment 3 RHEL Product and Program Management 2007-05-24 12:43:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Marizol Martinez 2007-06-08 15:55:08 EDT
Red Hat Product Management and Engineering have evaluated this request and
currently plan to include it in the next Red Hat Enterprise Linux minor release.
Please note that its inclusion depends upon the successful completion of code
integration and testing.
Comment 13 errata-xmlrpc 2007-11-07 11:57:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0397.html

Note You need to log in before you can comment on or make changes to this bug.